// Source: https://gitlab.com/pleio/frontend/-/blob/dev/src/less/core/icons.less
// Note: converted Less to Sass

[class^="icon-"],
[class*=" icon-"],
.icon-base-pseudo {
  display: inline-block;
  vertical-align: middle;
  font-family: "icons-webfont";
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  // speak: none; // only necessary if not using the private unicode range (firstGlyph option)
  text-decoration: none;
  text-transform: none;
  font-size: 10px;
  line-height: 1;
}

@mixin icon-char($filename) {
  $align-center: "\E001";
  $align-left: "\E002";
  $align-right: "\E003";
  $align: "\E004";
  $angle-down-fill: "\E005";
  $angle-down: "\E006";
  $angle-left: "\E007";
  $angle-right: "\E008";
  $arrow-right-circle-transparent: "\E009";
  $arrow-right-circle: "\E00A";
  $bold: "\E00B";
  $bookmark-line: "\E00C";
  $bookmark: "\E00D";
  $calendar: "\E00E";
  $camera: "\E00F";
  $cat-actualiteit: "\E010";
  $cat-arbeidsvoorwaarden: "\E011";
  $cat-klas: "\E012";
  $cat-leren: "\E013";
  $cat-nieuws: "\E014";
  $cat-overig: "\E015";
  $cat-vernieuwing: "\E016";
  $cat-wetten-2: "\E017";
  $cat-wetten: "\E018";
  $check: "\E019";
  $chevron-down: "\E01A";
  $clock: "\E01B";
  $code: "\E01C";
  $comments-fill: "\E01D";
  $comments: "\E01E";
  $cross: "\E01F";
  $delete-fill: "\E020";
  $delete: "\E021";
  $doc-pdf: "\E022";
  $doc: "\E023";
  $download: "\E024";
  $dropdown: "\E025";
  $envelope: "\E026";
  $external: "\E027";
  $eye-fill: "\E028";
  $eye-invisible: "\E029";
  $eye: "\E02A";
  $folder: "\E02B";
  $friends: "\E02C";
  $grab: "\E02D";
  $heart-fill: "\E02E";
  $heart: "\E02F";
  $home: "\E030";
  $hyperlink: "\E031";
  $image-inline: "\E032";
  $image-size-lg: "\E033";
  $image-size-md: "\E034";
  $image-size-sm: "\E035";
  $image: "\E036";
  $indent-left: "\E037";
  $indent-right: "\E038";
  $info-circle: "\E039";
  $info: "\E03A";
  $italic: "\E03B";
  $like-fill: "\E03C";
  $like: "\E03D";
  $list: "\E03E";
  $lock: "\E03F";
  $logout: "\E040";
  $mobile-menu: "\E041";
  $move: "\E042";
  $next: "\E043";
  $not-found: "\E044";
  $notification-fill: "\E045";
  $notification: "\E046";
  $ol: "\E047";
  $options: "\E048";
  $pdf: "\E049";
  $pencil: "\E04A";
  $play: "\E04B";
  $plus-large: "\E04C";
  $plus: "\E04D";
  $prev: "\E04E";
  $print: "\E04F";
  $public: "\E050";
  $quote: "\E051";
  $recommendation: "\E052";
  $resize-4-8: "\E053";
  $resize-6-6: "\E054";
  $resize-8-4: "\E055";
  $resize-narrow: "\E056";
  $resize-wide: "\E057";
  $resize: "\E058";
  $save: "\E059";
  $school: "\E05A";
  $search: "\E05B";
  $send: "\E05C";
  $settings: "\E05D";
  $share: "\E05E";
  $social-facebook: "\E05F";
  $social-google: "\E060";
  $social-linkedin: "\E061";
  $social-twitter: "\E062";
  $sort: "\E063";
  $star-fill: "\E064";
  $star: "\E065";
  $tiles: "\E066";
  $topic: "\E067";
  $trending: "\E068";
  $tune: "\E069";
  $ul: "\E06A";
  $underlined: "\E06B";
  $unlink: "\E06C";
  $upload: "\E06D";
  $users: "\E06E";

  content: $filename;
}

@mixin icon($filename, $insert: before) {
  $pseudo-selector: $insert;

  .#{$pseudo-selector} {
    @extend .icon-base-pseudo;
    @include icon-char($filename);
  }
}

//
// Icons
//

.icon-align-center:before {
  content: "\E001";
}

.icon-align-left:before {
  content: "\E002";
}

.icon-align-right:before {
  content: "\E003";
}

.icon-align:before {
  content: "\E004";
}

.icon-angle-down-fill:before {
  content: "\E005";
}

.icon-angle-down:before {
  content: "\E006";
}

.icon-angle-left:before {
  content: "\E007";
}

.icon-angle-right:before {
  content: "\E008";
}

.icon-arrow-right-circle-transparent:before {
  content: "\E009";
}

.icon-arrow-right-circle:before {
  content: "\E00A";
}

.icon-bold:before {
  content: "\E00B";
}

.icon-bookmark-line:before {
  content: "\E00C";
}

.icon-bookmark:before {
  content: "\E00D";
}

.icon-calendar:before {
  content: "\E00E";
}

.icon-camera:before {
  content: "\E00F";
}

.icon-cat-actualiteit:before {
  content: "\E010";
}

.icon-cat-arbeidsvoorwaarden:before {
  content: "\E011";
}

.icon-cat-klas:before {
  content: "\E012";
}

.icon-cat-leren:before {
  content: "\E013";
}

.icon-cat-nieuws:before {
  content: "\E014";
}

.icon-cat-overig:before {
  content: "\E015";
}

.icon-cat-vernieuwing:before {
  content: "\E016";
}

.icon-cat-wetten-2:before {
  content: "\E017";
}

.icon-cat-wetten:before {
  content: "\E018";
}

.icon-check:before {
  content: "\E019";
}

.icon-chevron-down:before {
  content: "\E01A";
}

.icon-clock:before {
  content: "\E01B";
}

.icon-code:before {
  content: "\E01C";
}

.icon-comments-fill:before {
  content: "\E01D";
}

.icon-comments:before {
  content: "\E01E";
}

.icon-cross:before {
  content: "\E01F";
}

.icon-delete-fill:before {
  content: "\E020";
}

.icon-delete:before {
  content: "\E021";
}

.icon-doc-pdf:before {
  content: "\E022";
}

.icon-doc:before {
  content: "\E023";
}

.icon-download:before {
  content: "\E024";
}

.icon-dropdown:before {
  content: "\E025";
}

.icon-envelope:before {
  content: "\E026";
}

.icon-external:before {
  content: "\E027";
}

.icon-eye-fill:before {
  content: "\E028";
}

.icon-eye-invisible:before {
  content: "\E029";
}

.icon-eye:before {
  content: "\E02A";
}

.icon-folder:before {
  content: "\E02B";
}

.icon-friends:before {
  content: "\E02C";
}

.icon-grab:before {
  content: "\E02D";
}

.icon-heart-fill:before {
  content: "\E02E";
}

.icon-heart:before {
  content: "\E02F";
}

.icon-home:before {
  content: "\E030";
}

.icon-hyperlink:before {
  content: "\E031";
}

.icon-image-inline:before {
  content: "\E032";
}

.icon-image-size-lg:before {
  content: "\E033";
}

.icon-image-size-md:before {
  content: "\E034";
}

.icon-image-size-sm:before {
  content: "\E035";
}

.icon-image:before {
  content: "\E036";
}

.icon-indent-left:before {
  content: "\E037";
}

.icon-indent-right:before {
  content: "\E038";
}

.icon-info-circle:before {
  content: "\E039";
}

.icon-info:before {
  content: "\E03A";
}

.icon-italic:before {
  content: "\E03B";
}

.icon-like-fill:before {
  content: "\E03C";
}

.icon-like:before {
  content: "\E03D";
}

.icon-list:before {
  content: "\E03E";
}

.icon-lock:before {
  content: "\E03F";
}

.icon-logout:before {
  content: "\E040";
}

.icon-mobile-menu:before {
  content: "\E041";
}

.icon-move:before {
  content: "\E042";
}

.icon-next:before {
  content: "\E043";
}

.icon-not-found:before {
  content: "\E044";
}

.icon-notification-fill:before {
  content: "\E045";
}

.icon-notification:before {
  content: "\E046";
}

.icon-ol:before {
  content: "\E047";
}

.icon-options:before {
  content: "\E048";
}

.icon-pdf:before {
  content: "\E049";
}

.icon-pencil:before {
  content: "\E04A";
}

.icon-play:before {
  content: "\E04B";
}

.icon-plus-large:before {
  content: "\E04C";
}

.icon-plus:before {
  content: "\E04D";
}

.icon-prev:before {
  content: "\E04E";
}

.icon-print:before {
  content: "\E04F";
}

.icon-public:before {
  content: "\E050";
}

.icon-quote:before {
  content: "\E051";
}

.icon-recommendation:before {
  content: "\E052";
}

.icon-resize-4-8:before {
  content: "\E053";
}

.icon-resize-6-6:before {
  content: "\E054";
}

.icon-resize-8-4:before {
  content: "\E055";
}

.icon-resize-narrow:before {
  content: "\E056";
}

.icon-resize-wide:before {
  content: "\E057";
}

.icon-resize:before {
  content: "\E058";
}

.icon-save:before {
  content: "\E059";
}

.icon-school:before {
  content: "\E05A";
}

.icon-search:before {
  content: "\E05B";
}

.icon-send:before {
  content: "\E05C";
}

.icon-settings:before {
  content: "\E05D";
}

.icon-share:before {
  content: "\E05E";
}

.icon-social-facebook:before {
  content: "\E05F";
}

.icon-social-google:before {
  content: "\E060";
}

.icon-social-linkedin:before {
  content: "\E061";
}

.icon-social-twitter:before {
  content: "\E062";
}

.icon-sort:before {
  content: "\E063";
}

.icon-star-fill:before {
  content: "\E064";
}

.icon-star:before {
  content: "\E065";
}

.icon-tiles:before {
  content: "\E066";
}

.icon-topic:before {
  content: "\E067";
}

.icon-trending:before {
  content: "\E068";
}

.icon-tune:before {
  content: "\E069";
}

.icon-ul:before {
  content: "\E06A";
}

.icon-underlined:before {
  content: "\E06B";
}

.icon-unlink:before {
  content: "\E06C";
}

.icon-upload:before {
  content: "\E06D";
}

.icon-users:before {
  content: "\E06E";
}
